Groovy Documentation

## org.codehaus.groovy.tools.shell.util
[Java] Class Preferences

    java.lang.Object
      org.codehaus.groovy.tools.shell.util.Preferences

    public class Preferences
    extends java.lang.Object

Container for shell preferences.

Authors:
  Jason Dillon

Version:
  \$Id\$

Field Summary
`static Verbosity` | `verbosity`

Method Summary
`static void` | `addChangeListener(java.util.prefs.PreferenceChangeListener listener)`
`static void` | `clear()`
`static java.lang.String` | `get(java.lang.String name, java.lang.String defaultValue)`
`static java.lang.String` | `get(java.lang.String name)`
`static java.lang.String` | `getEditor()`
`static java.lang.String` | `getParserFlavor()`
`static boolean` | `getSanitizeStackTrace()`
`static boolean` | `getShowLastResult()`
`static java.lang.String[]` | `keys()`
`static void` | `put(java.lang.String name, java.lang.String value)`

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### verbosity

    public static Verbosity verbosity

Method Detail

### addChangeListener

    public static void addChangeListener(java.util.prefs.PreferenceChangeListener listener)

### clear

    public static void clear()

### get

    public static java.lang.String get(java.lang.String name, java.lang.String defaultValue)

### get

    public static java.lang.String get(java.lang.String name)

### getEditor

    public static java.lang.String getEditor()

### getParserFlavor

    public static java.lang.String getParserFlavor()

### getSanitizeStackTrace

    public static boolean getSanitizeStackTrace()

### getShowLastResult

    public static boolean getShowLastResult()

### keys

    public static java.lang.String[] keys()

### put

    public static void put(java.lang.String name, java.lang.String value)

Groovy Documentation